#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = barman

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	mkdir -p $(CURDIR)/debian/barman/usr/bin $(CURDIR)/debian/barman/usr/share/man/man1 $(CURDIR)/debian/barman/usr/share/man/man5
	mv $(CURDIR)/debian/python3-barman/usr/bin/barman $(CURDIR)/debian/barman/usr/bin
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man1/barman.1* $(CURDIR)/debian/barman/usr/share/man/man1
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man5/barman.5* $(CURDIR)/debian/barman/usr/share/man/man5

	mkdir -p $(CURDIR)/debian/barman-cli-cloud/usr/bin $(CURDIR)/debian/barman-cli-cloud/usr/share/man/man1
	mv $(CURDIR)/debian/python3-barman/usr/bin/*-cloud-* $(CURDIR)/debian/barman-cli-cloud/usr/bin
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man1/*-cloud-* $(CURDIR)/debian/barman-cli-cloud/usr/share/man/man1

	mkdir -p $(CURDIR)/debian/barman-cli/usr/share/man
	mv $(CURDIR)/debian/python3-barman/usr/bin $(CURDIR)/debian/barman-cli/usr
	mv $(CURDIR)/debian/python3-barman/usr/share/man/man1 $(CURDIR)/debian/barman-cli/usr/share/man

	rmdir $(CURDIR)/debian/python3-barman/usr/share/man/man5
	rmdir $(CURDIR)/debian/python3-barman/usr/share/man
